package com.gprinter.udp.wifi.set;

import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;

/* loaded from: com_gprinter_udp_wifi_set.jar:com/gprinter/udp/wifi/set/SettingApLannCommand.class */
public class SettingApLannCommand extends CommandUDP {
    private String ip;
    private String mask;

    public SettingApLannCommand(String ip, String mask) {
        this.ip = ip;
        this.mask = mask;
    }

    public byte[] getCommand() {
        return getAT_LANN(this.ip, this.mask).getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] data) {
        if (data != null) {
            try {
                String response = new String(data);
                ResultResp resultResp = new ResultResp();
                if (response.contains("+ok")) {
                    resultResp.setResult(true);
                } else {
                    resultResp.setResult(false);
                }
                return resultResp;
            } catch (Exception e) {
                e.printStackTrace();
                return null;
            }
        }
        return null;
    }

    public String getAT_LANN(String ip, String mask) {
        if (!ip.equals("")) {
            String cmd = "AT+LANN=" + ip;
            return ((cmd + ",") + mask) + "\r";
        }
        return "";
    }
}
